Subject: Re: [PATCH net-next] macvlan: pass get_ts_info and SIOC[SG]HWTSTAMP ioctl to real device

From: Miroslav Lichvar <[email-masked]>
Date: Tue, 7 May 2019 10:35:59 +0200

On Mon, May 06, 2019 at 07:01:23AM -0700, Richard Cochran wrote:
> On Thu, Apr 25, 2019 at 09:40:06PM +0800, Hangbin Liu wrote:
> > Would you please help have a look at it and see which way we should use?
> > Drop SIOCSHWTSTAMP in container or add a filter on macvlan(maybe only in
> > container)?
> 
> I vote for dropping SIOCSHWTSTAMP altogether.  Why?  Because the
> filter idea means that the ioctl will magically succeed or fail, based
> on the unknowable state of the container's host.

That's a good point. I agree that SIOCSHWTSTAMP always failing would
be a less surprising behavior than failing only with some specific
configurations.

> It is better IMHO to
> let the admin of the host set up HWTSTAMP globally (like with
> hwtstamp_ctl for example) and configure the apps appropriately (like
> with ptp4l --hwts_filter=check).

Makes sense to me.

Some applications that support HW timestamping cannot do that
currently (they call SIOCSHWTSTAMP even if nothing is changing), but
it shouldn't be difficult to add support for this case.

Thanks,

-- 
Miroslav Lichvar